// This file is part of QuickPlot

function PLT_Macro_setGrid(gridYesNo, gridColor)
    
    /****************************************************************
     * Set grid visibility in the current figure
     *
     * Input Arguments:
     *     gridYesNo -- 1: grid on, 0: grid off
     *     gridColor -- grid color number
     ****************************************************************/

    if ~isempty(winsid()) then // if there exist at least one figure
        if gridYesNo ~= 0 // grid on
            set(gca(), 'grid', [1 1].*gridColor);
        else            // grid off
            set(gca(), 'grid', [-1,-1]);
        end
    end
    
endfunction
