// This file is part of QuickPlot

function PLT_Macro_setLegendFontsize(fontsize)
    
    /****************************************************************
     * Set legend font size in the current figure
     *
     * Input Arguments:
     *     fontsize -- font size 1,2,3,...
     ****************************************************************/

    if ~isempty(winsid()) then // if there exist at least one figure
        h = gca();
        if isempty(h.children) then return, end;
        for i = 1:length(h.children)
            if h.children(i).type == "Legend" then
                h.children(i).font_size = fontsize;
                break;
            end
        end
    end

endfunction
