// This file is part of QuickPlot

function PLT_Macro_setLegendLocation(location)
    
    /****************************************************************
     * Set legend location in the current figure
     *
     * Input Arguments:
     *     location -- 1 or "in_upper_right"
     *                 2 or "in_upper_left"
     *                 3 or "in_lower_left"
     *                 4 or "in_lower_right"
     *                -1 or "out_upper_right"
     *                -2 or "out_upper_left"
     *                -3 or "out_lower_left"
     *                -4 or "out_lower_right"
     *                -5 or "upper_caption"
     *                -6 or "lower_caption"
     ****************************************************************/

    if ~isempty(winsid()) then // if there exist at least one figure
        h = gca();
        if isempty(h.children) then return, end;
        for i = 1:length(h.children)
            if h.children(i).type == "Legend" then
                h.children(i).legend_location = location;
                break;
            end
        end
    end

endfunction
