// This file is part of QuickPlot

function PLT_Macro_setLegendVisible(legendYesNo)
    
    /****************************************************************
     * Set legend visibility in the current figure
     *
     * Input Arguments:
     *     legendYesNo -- 1: legend on, 0: legend off
     ****************************************************************/

    if ~isempty(winsid()) then // if there exist at least one figure
        h = gca();
        if isempty(h.children) then return, end;
        for i = 1:length(h.children)
            if h.children(i).type == "Legend" then
                if legendYesNo~=0
                    h.children(i).visible = 'on';
                else
                    h.children(i).visible = 'off';
                end
                break;
            end
        end
    end

endfunction
