// This file is part of QuickPlot

function PLT_Macro_setLine(lineYesNo, thickness)
    
    /****************************************************************
     * Set plot line in the current figure
     *
     * Input Arguments:
     *     lineYesNo -- 1: line on, 0: line off
     *     thickness -- line thickness 1,2,3,...
     ****************************************************************/

    if ~isempty(winsid()) then // if there exist at least one figure
        h = gca();
        if isempty(h.children) then return, end;
        for i = 1:length(h.children)
            if get(h.children(i),'type') == 'Polyline' then
                if lineYesNo ~= 0 // line on
                    set(h.children(i), 'line_mode', 'on');
                    set(h.children(i), 'thickness', thickness);
                else
                    set(h.children(i), 'line_mode', 'off');
                end
            end
        end
    end
    
endfunction
