// This file is part of QuickPlot

function PLT_Macro_setMark(markYesNo, markSize)

    /****************************************************************
     * Set plot mark in the current figure
     *
     * Input Arguments:
     *     markYesNo -- 1: mark on, 0: mark off
     *     size -- mark size 1,2,3,... (in tabulated unit)
     ****************************************************************/

    if ~isempty(winsid()) then // if there exist at least one figure
        h = gca();
        if isempty(h.children) then return, end;
        for i = 1:length(h.children)
            if get(h.children(i),'type') == 'Polyline' then
                if markYesNo ~= 0 // mark on
                    set(h.children(i), 'mark_mode', 'on');
                    set(h.children(i), 'mark_size_unit', 'point');
                    set(h.children(i), 'mark_size', markSize);
                else            // mark off
                    set(h.children(i), 'mark_mode', 'off');
                end
            end
        end
    end

endfunction
